## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ImperativeExpressionImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl

All Implemented Interfaces:
  ImperativeExpression

Direct Known Subclasses:
  AltExpImpl, AssertExpImpl, AssignExpImpl, BlockExpImpl, BreakExpImpl, CatchExpImpl, ComputeExpImpl, ContinueExpImpl, InstantiationExpImpl, RaiseExpImpl, ReturnExpImpl, SwitchExpImpl, TryExpImpl, UnlinkExpImpl, UnpackExpImpl, VariableInitExpImpl, WhileExpImpl

    public abstract class ImperativeExpressionImpl

extends OCLExpressionImpl
implements ImperativeExpression

An implementation of the model object 'Imperative Expression'.

Constructor Summary
`protected` `ImperativeExpressionImpl()`

Method Summary
`protected EClass` `eStaticClass()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImperativeExpressionImpl

    protected ImperativeExpressionImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

### toString

    public java.lang.String toString()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.